#ifndef MONOCHROMELIB
#define MONOCHROMELIB

#ifdef __cplusplus
extern "C" {
#endif

	#define ML_SCREEN_WIDTH     128
	#define ML_SCREEN_HEIGHT    64

	typedef enum { ML_TRANSPARENT = -1, ML_WHITE, ML_BLACK, ML_XOR, ML_CHECKER } ML_Colour;

	#define ML_vram_adress (*(ML_sc_cpv_)ML_SC0135)
	typedef char* (*ML_sc_cpv_)(void);
	const unsigned int ML_SC0135[] = { 0xD201D002, 0x422B0009, 0x80010070, 0x0135 };

	void ML_set_vram();
	void ML_clear_vram();
	void ML_clear_screen();
	void ML_display_vram();

	void ML_pixel(int x, int y, ML_Colour colour);

	void ML_vertical_line(int x, int y1, int y2, ML_Colour colour);
	void ML_horizontal_line(int y, int x1, int x2, ML_Colour colour);
	void ML_rectangle(int x1, int y1, int x2, int y2, ML_Colour colour);

	void ML_BMP_Load(unsigned char* bmp, int x, int y, int width, int height, int fullWidthInBytes);

#ifdef __cplusplus
}
#endif


#endif //MONOCHROMELIB
